--- ldap

create table ldap_directories (
    id bigint primary key identity (1, 1),
    name nvarchar(255) not null,
    deleted bit not null,

    hostname nvarchar(255) not null,
    port integer not null,
    use_ssl bit not null,
    username nvarchar(255) not null,
    password nvarchar(255) not null,
    base_dn nvarchar(255),

    attr_login nvarchar(255),
    attr_first_name nvarchar(255),
    attr_last_name nvarchar(255),
    attr_display_name nvarchar(255),
    attr_email nvarchar(255),

    created_at datetimeoffset not null,
    updated_at datetimeoffset not null
);
